Start or continue an AI streaming conversation
curl --request POST \
--url https://api.kazzle.app/api/chat/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threadId": "<string>",
"content": "<string>",
"toolResults": [
{
"toolUseId": "<string>",
"content": "<string>",
"isError": true,
"isTimeout": true
}
],
"toolApproval": {
"toolCallId": "<string>",
"decision": "approve"
},
"spaceId": "<string>",
"modelId": "<string>",
"files": [
{
"path": "<string>",
"mimeType": "<string>",
"fileName": "<string>",
"base64": "<string>"
}
]
}
'curl --request POST \
--url https://api.kazzle.app/api/chat/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threadId": "<string>",
"content": "<string>",
"toolResults": [
{
"toolUseId": "<string>",
"content": "<string>",
"isError": true,
"isTimeout": true
}
],
"toolApproval": {
"toolCallId": "<string>",
"decision": "approve"
},
"spaceId": "<string>",
"modelId": "<string>",
"files": [
{
"path": "<string>",
"mimeType": "<string>",
"fileName": "<string>",
"base64": "<string>"
}
]
}
'